{% extends 'blog/base_blog.html' %}

{% block title %}
    Create Post - {{ block.super }}
{% endblock %}


{% block content %}

    <form class="" action="{% url 'post_create_url' %}" method="post">
        {% csrf_token %}

        {% for field in form %}
            <div class="form-group">
                {% if field.errors %}
                    <div class="alert alert-danger">
                        {{ field.errors }}
                    </div>
                {% endif %}
                {{ field.label }}
                {{ field }}
            </div>
        {% endfor %}
        <button type="submit" name="button" class="btn btn-primary">Create post</button>
    </form>


{% endblock %}

